# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KValueSelector Class Reference

Widget for color value selection. More...

`#include <kcolordialog.h>`

Inheritance diagram for KValueSelector:

[legend]
Collaboration diagram for KValueSelector:

[legend]
List of all members.

## Public Member Functions

| KValueSelector (QWidget *parent=0, const char *name=0)
| KValueSelector (Orientation o, QWidget *parent=0, const char *name=0)
int | hue () const
void | setHue (int h)
int | saturation () const
void | setSaturation (int s)
void | updateContents ()

## Protected Member Functions

virtual void | drawPalette (QPixmap *pixmap)
virtual void | resizeEvent (QResizeEvent *)
virtual void | drawContents (QPainter *painter)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Widget for color value selection.

See also:
  KHSSelector, KColorDialog

Author:
  Martin Jones (mjones@kde.org)

Definition at line 102 of file kcolordialog.h.

## Constructor & Destructor Documentation

KValueSelector::KValueSelector | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a widget for color selection. Definition at line 245 of file kcolordialog.cpp. References QPixmap::setOptimization(), and QRangeControl::setRange().

KValueSelector::KValueSelector | ( | Orientation | o,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a widget for color selection with a given orientation. Definition at line 252 of file kcolordialog.cpp. References QPixmap::setOptimization(), and QRangeControl::setRange().

## Member Function Documentation

void KValueSelector::drawPalette | ( | QPixmap * | pixmap | ) | `[protected, virtual]`

| Draws the contents of the widget on a pixmap, which is used for buffering. Definition at line 275 of file kcolordialog.cpp. References KSelector::contentsRect(), QPixmap::convertFromImage(), KImageEffect::dither(), QRect::height(), KSelector::orientation(), QColor::rgb(), QImage::scanLine(), QColor::setHsv(), and QRect::width().

void KValueSelector::drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

| Reimplemented from KSelector. The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used. Reimplemented from KSelector. Definition at line 270 of file kcolordialog.cpp. References KSelector::contentsRect(), QWidget::x(), and QWidget::y().

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:40 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003